import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { EventDefinition } from '@wix/sdk-types';
import { getMeteredBillingCharges as universalGetMeteredBillingCharges, getPurchaseHistory as universalGetPurchaseHistory, getUrl as universalGetUrl, } from './devcenter-checkout-v1-purchased-item-billing.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/app-management' };
export function getUrl(httpClient) {
    return (productId, options) => universalGetUrl(productId, options, 
    // @ts-ignore
    { httpClient });
}
export function getPurchaseHistory(httpClient) {
    return () => universalGetPurchaseHistory(
    // @ts-ignore
    { httpClient });
}
/** @internal */
export function getMeteredBillingCharges(httpClient) {
    return (options) => universalGetMeteredBillingCharges(options, 
    // @ts-ignore
    { httpClient });
}
export const onPurchasedItemInvoiceStatusUpdated = EventDefinition('InvoiceStatusUpdated', false, (event) => renameKeysFromRESTResponseToSDKResponse(event))();
export { InvoiceStatus, PaymentCycle, WebhookIdentityType, } from './devcenter-checkout-v1-purchased-item-billing.universal.js';
//# sourceMappingURL=devcenter-checkout-v1-purchased-item-billing.public.js.map