"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.InvoiceStatus = exports.PaymentCycle = exports.onPurchasedItemInvoiceStatusUpdated = exports.getMeteredBillingCharges = exports.getPurchaseHistory = exports.getUrl = void 0;
const devcenter_checkout_v1_purchased_item_billing_public_js_1 = require("./devcenter-checkout-v1-purchased-item-billing.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const devcenter_checkout_v1_purchased_item_billing_public_js_2 = require("./devcenter-checkout-v1-purchased-item-billing.public.js");
exports.getUrl = (0, rest_modules_1.createRESTModule)(devcenter_checkout_v1_purchased_item_billing_public_js_1.getUrl);
exports.getPurchaseHistory = (0, rest_modules_1.createRESTModule)(devcenter_checkout_v1_purchased_item_billing_public_js_1.getPurchaseHistory);
/** @internal */
exports.getMeteredBillingCharges = (0, rest_modules_1.createRESTModule)(devcenter_checkout_v1_purchased_item_billing_public_js_1.getMeteredBillingCharges);
/**
 * Triggered when there is an update to the payment status of an invoice.
 * Charges made using the [Custom Charges SPI](https://dev.wix.com/docs/rest/app-management/app-billing/custom-charges-service-plugin/introduction) may be based on usage.
 * Learn more about [usage-based charges](https://dev.wix.com/docs/build-apps/launch-your-app/pricing-and-billing/set-up-a-usage-based-business-model).
 */
exports.onPurchasedItemInvoiceStatusUpdated = (0, event_definition_modules_1.createEventModule)(devcenter_checkout_v1_purchased_item_billing_public_js_2.onPurchasedItemInvoiceStatusUpdated);
var devcenter_checkout_v1_purchased_item_billing_universal_js_1 = require("./devcenter-checkout-v1-purchased-item-billing.universal.js");
Object.defineProperty(exports, "PaymentCycle", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_1.PaymentCycle; } });
Object.defineProperty(exports, "InvoiceStatus", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_1.InvoiceStatus; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=devcenter-checkout-v1-purchased-item-billing.context.js.map