"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.PaymentCycle = exports.InvoiceStatus = exports.onPurchasedItemInvoiceStatusUpdated = exports.getMeteredBillingCharges = exports.getPurchaseHistory = exports.getUrl = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const sdk_types_1 = require("@wix/sdk-types");
const devcenter_checkout_v1_purchased_item_billing_universal_js_1 = require("./devcenter-checkout-v1-purchased-item-billing.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/app-management' };
function getUrl(httpClient) {
    return (productId, options) => (0, devcenter_checkout_v1_purchased_item_billing_universal_js_1.getUrl)(productId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getUrl = getUrl;
function getPurchaseHistory(httpClient) {
    return () => (0, devcenter_checkout_v1_purchased_item_billing_universal_js_1.getPurchaseHistory)(
    // @ts-ignore
    { httpClient });
}
exports.getPurchaseHistory = getPurchaseHistory;
/** @internal */
function getMeteredBillingCharges(httpClient) {
    return (options) => (0, devcenter_checkout_v1_purchased_item_billing_universal_js_1.getMeteredBillingCharges)(options, 
    // @ts-ignore
    { httpClient });
}
exports.getMeteredBillingCharges = getMeteredBillingCharges;
exports.onPurchasedItemInvoiceStatusUpdated = (0, sdk_types_1.EventDefinition)('InvoiceStatusUpdated', false, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(event))();
var devcenter_checkout_v1_purchased_item_billing_universal_js_2 = require("./devcenter-checkout-v1-purchased-item-billing.universal.js");
Object.defineProperty(exports, "InvoiceStatus", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_2.InvoiceStatus; } });
Object.defineProperty(exports, "PaymentCycle", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_2.PaymentCycle; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return devcenter_checkout_v1_purchased_item_billing_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=devcenter-checkout-v1-purchased-item-billing.public.js.map